curl --request GET \
--url https://gateway.app.clavata.ai:8443/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.app.clavata.ai:8443/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.app.clavata.ai:8443/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8443",
CURLOPT_URL => "https://gateway.app.clavata.ai:8443/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.app.clavata.ai:8443/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.app.clavata.ai:8443/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.app.clavata.ai:8443/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"jobs": [
{
"jobUuid": "<string>",
"customerId": "<string>",
"status": "JOB_STATUS_UNSPECIFIED",
"contentData": [
{
"contentHash": "<string>",
"metadata": {}
}
],
"results": [
{
"jobUuid": "<string>",
"report": {
"policyId": "<string>",
"policyKey": "<string>",
"policyVersionId": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"sectionEvaluationReports": [
{
"name": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"contentHash": "<string>",
"contentMetadata": {},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
},
"threshold": 123,
"labelMatches": {},
"tokenUsage": {
"inputTokens": 123,
"billedTokens": 123,
"multiplier": 123
},
"labelId": "<string>",
"labelVersionId": "<string>"
},
"created": "2023-11-07T05:31:56Z"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"completed": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"policyVersionId": "<string>",
"threshold": 123,
"labelId": "<string>",
"labelVersionId": "<string>",
"jobType": "JOB_TYPE_UNSPECIFIED",
"error": {
"reason": "JOB_ERROR_REASON_UNSPECIFIED",
"message": "<string>"
}
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"type": "PRECHECK_FAILURE_TYPE_UNSPECIFIED",
"message": "<string>",
"details": "<unknown>",
"matchConfidence": "PRECHECK_MATCH_CONFIDENCE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List jobs
Retrieves a list of jobs with optional filtering by time ranges and status. Incomplete jobs will only include basic information. Failed jobs omit Job.error here; fetch failure details with GetJob or GetJobLabels. Available to policy-first and label-first accounts; works on any job in the account, including jobs from POST /v1/labels/evaluate.
curl --request GET \
--url https://gateway.app.clavata.ai:8443/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.app.clavata.ai:8443/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.app.clavata.ai:8443/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8443",
CURLOPT_URL => "https://gateway.app.clavata.ai:8443/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.app.clavata.ai:8443/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.app.clavata.ai:8443/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.app.clavata.ai:8443/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"jobs": [
{
"jobUuid": "<string>",
"customerId": "<string>",
"status": "JOB_STATUS_UNSPECIFIED",
"contentData": [
{
"contentHash": "<string>",
"metadata": {}
}
],
"results": [
{
"jobUuid": "<string>",
"report": {
"policyId": "<string>",
"policyKey": "<string>",
"policyVersionId": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"sectionEvaluationReports": [
{
"name": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"contentHash": "<string>",
"contentMetadata": {},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
},
"threshold": 123,
"labelMatches": {},
"tokenUsage": {
"inputTokens": 123,
"billedTokens": 123,
"multiplier": 123
},
"labelId": "<string>",
"labelVersionId": "<string>"
},
"created": "2023-11-07T05:31:56Z"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"completed": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"policyVersionId": "<string>",
"threshold": 123,
"labelId": "<string>",
"labelVersionId": "<string>",
"jobType": "JOB_TYPE_UNSPECIFIED",
"error": {
"reason": "JOB_ERROR_REASON_UNSPECIFIED",
"message": "<string>"
}
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"type": "PRECHECK_FAILURE_TYPE_UNSPECIFIED",
"message": "<string>",
"details": "<unknown>",
"matchConfidence": "PRECHECK_MATCH_CONFIDENCE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The status of the job
JOB_STATUS_UNSPECIFIED, JOB_STATUS_PENDING, JOB_STATUS_RUNNING, JOB_STATUS_COMPLETED, JOB_STATUS_FAILED, JOB_STATUS_CANCELED Policy ID that created the job
The maximum number of jobs to return. Defaults to 10, capped at 1000.
A token identifying the page to return; for keyset pagination
Was this page helpful?